Package be.fgov.ehealth.ehbox.consultation.protocol.v3

# Class InsertOoOResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v1.ResponseType
be.fgov.ehealth.ehbox.consultation.protocol.v3.InsertOoOResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class InsertOoOResponse extends ResponseType implements Serializable

Java class for InsertOoOResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InsertOoOResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
           <sequence minOccurs="0">
             <element name="Substitute" type="{urn:be:fgov:ehealth:ehbox:consultation:protocol:v3}SubstituteType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InsertOoOResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<SubstituteType>`
  `getSubstitutes()`
  Recipients Gets the value of the substitutes property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType

  `getId, getStatus, setId, setStatus`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InsertOoOResponse

    public InsertOoOResponse()

- ## Method Details

  - ### getSubstitutes

    public List<SubstituteType> getSubstitutes()
    Recipients Gets the value of the substitutes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the substitutes property.

    For example, to add a new item, do as follows:

         getSubstitutes().add(newItem);

    Objects of the following type(s) are allowed in the list `SubstituteType`

    Returns:
      The value of the substitutes property.